Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode, JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)`
`int` | `getExclusiveGroupCount()`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)`
`int` | `getNodeInstanceCount()`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()`
`long` | `getTimerInstanceId(int index)`
`int` | `getTimerInstanceIdCount()`
`List<Long>` | `getTimerInstanceIdList()`
`JBPMMessages.Variable` | `getVariable(int index)`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### getTimerInstanceIdList

    List<Long> getTimerInstanceIdList()

### getTimerInstanceIdCount

    int getTimerInstanceIdCount()

### getTimerInstanceId

    long getTimerInstanceId(int index)

### getVariableList

    List<JBPMMessages.Variable> getVariableList()

### getVariable

    JBPMMessages.Variable getVariable(int index)

### getVariableCount

    int getVariableCount()

### getVariableOrBuilderList

    List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

### getVariableOrBuilder

    JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

### getNodeInstanceList

    List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

### getNodeInstance

    JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

### getNodeInstanceCount

    int getNodeInstanceCount()

### getNodeInstanceOrBuilderList

    List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

### getNodeInstanceOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

### getExclusiveGroupList

    List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

### getExclusiveGroup

    JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

### getExclusiveGroupCount

    int getExclusiveGroupCount()

### getExclusiveGroupOrBuilderList

    List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

### getExclusiveGroupOrBuilder

    JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.